# Dev Tool

Simple development script runner that builds itself on first use.

## Quick Start

```bash
git clone https://git.mz.uy/marianozunino/dev
cd dev
./dev
```

## Usage

```bash
./dev run              # Run all scripts
./dev run docker       # Run scripts matching "docker"
./dev ls               # List available scripts
./dev new backup       # Create new script template
./dev push             # Git push with security scan
```

## How It Works

The `./dev` script:

1. Detects your Linux architecture (amd64/arm64)
2. Builds `bin/dev-linux-{arch}` if needed
3. Runs your command

## Requirements

- Linux (any distro)
- Go installed: `sudo pacman -S go` (or your distro's equivalent)

## File Structure

```
project/
├── dev*           # Launcher script
├── main.go        # Source code
├── Makefile       # Build helper
├── bin/           # Built binaries
├── runs/          # Your scripts
└── logs/          # Execution logs
```

That's it! Clone and run `./dev` to get started.
